version: 2
name: 未命名项目
description: ""
global:
  concurrent: 1
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: ssh_cmd_0
    name: ssh执行命令
    task: ssh_cmd@1.1.1
    input:
      ssh_pass: ((server.password))
      ssh_ip: '"121.43.168.217"'
      ssh_port: '"22"'
      ssh_user: '"root"'
      ssh_cmd: "\"docker stop groupeazzy && docker rm groupeazzy && docker pull
        registry.cnguangzhou.aliyuncs.com/nudt_devops/gitlink_help_center_group\
        eazzy:latest && docker rmi $(docker images --filter 'dangling=true' -g)
        && docker run -p 3000:3000 --name groupeazzy
        registry.cn-guangzhou.aliyuncs.com/nudt_devops/gitlink_help_center_grou\
        peazzy:latest\""
    needs:
      - start
  - ref: end
    name: 结束
    task: end
    needs:
      - ssh_cmd_0

